com.rscja.custom

## Enum UHFXSAPI.Bank

- java.lang.Object
- - java.lang.Enum<UHFXSAPI.Bank>
  - - com.rscja.custom.UHFXSAPI.Bank

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UHFXSAPI.Bank>
  Enclosing class:
    UHFXSAPI

      public static enum UHFXSAPI.Bank
      extends java.lang.Enum<UHFXSAPI.Bank>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Bank_EPC_BlockEPC`
    `Bank_EPC_BlockRESERVED`
    `Bank_EPC_BlockTID`
    `Bank_EPC_BlockUSER`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static UHFXSAPI.Bank` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UHFXSAPI.Bank[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Bank_EPC_BlockRESERVED

          public static final UHFXSAPI.Bank Bank_EPC_BlockRESERVED

    - #### Bank_EPC_BlockEPC

          public static final UHFXSAPI.Bank Bank_EPC_BlockEPC

    - #### Bank_EPC_BlockTID

          public static final UHFXSAPI.Bank Bank_EPC_BlockTID

    - #### Bank_EPC_BlockUSER

          public static final UHFXSAPI.Bank Bank_EPC_BlockUSER

  - ### Field Detail

    - #### value

          public final int value

  - ### Method Detail

    - #### values

          public static UHFXSAPI.Bank[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UHFXSAPI.Bank c : UHFXSAPI.Bank.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UHFXSAPI.Bank valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()